# System Overview

## The structure of the DEXPIRY system

The DEXPIRY system consists of 3 interconnected components:

* [<mark style="color:green;">User Application (DEXPIRY dApp)</mark>](/dexpiry_public_eng/system-components/user-application.md)
* [<mark style="color:green;">Distributed Data Base (DEXPIRY DB)</mark>](/dexpiry_public_eng/system-components/data-base.md)
* [<mark style="color:green;">Blockchain Records (DEXPIRY public records)</mark>](/dexpiry_public_eng/system-components/blockchain-records.md)

## Authorization levels for DEXPIRY dApp

Each user of the DEXPIRY application is assigned one of the authorization levels:

* [<mark style="color:green;">Basic User</mark>](/dexpiry_public_eng/authorization-levels.md#basic_user)
* [<mark style="color:green;">Token Issuer</mark>](/dexpiry_public_eng/authorization-levels.md#authorization-level-token-issuer-for-warranty-issuers)
* [<mark style="color:green;">Regulator</mark>](/dexpiry_public_eng/authorization-levels.md#autorizacijska-razina-regulator)
* [<mark style="color:green;">Administrator</mark>](/dexpiry_public_eng/authorization-levels.md#autorizacijska-razina-administrator)

## Functions of the DEXPIRY system

* Creation and allocation of DEXPIRY warranty tokens (mint token)
* Claiming of assigned guarantee tokens (claim token)
* Digital authentication / confirmation of token ownership (cryptographic signature)
* Sending and receiving warranty tokens (send/receive token)
* Tracking warranty tokens on the blockchain (track token)
  * a) Tracking of the **assigned** warranty tokens&#x20;
  * b) Tracking of the **created** warranty tokens&#x20;
  * c) Tracking of **all** warranty tokens
* Verification and confirmation of warranty token transactions (TX validator)
* Access to details about the product and its warranty (token details)
  * a) for purchased products
  * b) for sold products
* Access to a personal user box in a decentralized database

Admin functions:

* Assigning and changing user authorization levels (delegate role)
* Deleting warranty tokens (burn token)
* Editing of a decentralized database


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dexpiry.com/dexpiry_public_eng/system-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
